# Get Event Counts

## Get Event Counts

> Get the count of events by category, PHQ Label and more. The Count endpoint supports the same query parameters as the Search Events endpoint.

```json
{"openapi":"3.1.0","info":{"title":"PredictHQ Events API","version":"1.0.0"},"tags":[{"name":"Events API"}],"servers":[{"url":"https://api.predicthq.com"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"$API_KEY","description":"Enter your PredictHQ API key. The Bearer prefix is added automatically.\n\nWhen calling the API directly, send: `Authorization: Bearer <YOUR_API_KEY>` as documented at [https://docs.predicthq.com/api/overview/authenticating](https://docs.predicthq.com/api/overview/authenticating)\n"}},"parameters":{"ActiveGteParam":{"in":"query","name":"active.gte","description":"Filters events that are active on or after the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`","required":false,"schema":{"type":"string","format":"date-time"}},"ActiveGtParam":{"in":"query","name":"active.gt","description":"Filters events that are active after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"ActiveLteParam":{"in":"query","name":"active.lte","description":"Filters events that are active on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`","required":false,"schema":{"type":"string","format":"date-time"}},"ActiveLtParam":{"in":"query","name":"active.lt","description":"Filters events that are active before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"ActiveTzParam":{"in":"query","name":"active.tz","description":"Specifies the timezone for the `active.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"BeamAnalysisIdParam":{"in":"query","name":"beam.analysis_id","description":"An optional Beam Analysis filter which if provided will calculate the location, rank and categories from the Beam Analysis and optionally the Beam Analysis group (see `beam.group_id`).\n\nThis is the best way to filter for events relevant to your business based on your Beam Analysis.","required":false,"schema":{"type":"string"}},"BeamGroupIdParam":{"in":"query","name":"beam.group_id","description":"If `beam.group_id` is provided the categories will be calculated from the feature importance results of the Analysis Group otherwise the categories will be calculated from the feature importance results of the individual Analysis.\n\nIf using `beam.group_id` the `beam.analysis_id` is required.","required":false,"schema":{"type":"string"}},"BrandUnsafeExcludeParam":{"in":"query","name":"brand_unsafe.exclude","description":"Whether or not to exclude potentially brand-unsafe events. Potentially brand-unsafe events are included by default.\n\nExamples of brand-unsafe events include content that promotes hate, violence or discrimination, coarse language, content that is sexually suggestive or explicit, etc.\n\nDefault: `false`","required":false,"schema":{"type":"string","enum":["true","false"]}},"CancelledGteParam":{"in":"query","name":"cancelled.gte","description":"Filters events that were cancelled on or after the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`\n","required":false,"schema":{"type":"string","format":"date-time"}},"CancelledGtParam":{"in":"query","name":"cancelled.gt","description":"Filters events that were cancelled after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n","required":false,"schema":{"type":"string","format":"date-time"}},"CancelledLteParam":{"in":"query","name":"cancelled.lte","description":"Filters events that were cancelled on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`\n","required":false,"schema":{"type":"string","format":"date-time"}},"CancelledLtParam":{"in":"query","name":"cancelled.lt","description":"Filters events that were cancelled before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n","required":false,"schema":{"type":"string","format":"date-time"}},"CancelledTzParam":{"in":"query","name":"cancelled.tz","description":"Specifies the timezone for the `cancelled.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"CategoryParam":{"in":"query","name":"category","description":"A comma-separated list of categories.\n\nTake a look at the [Event Categories](https://docs.predicthq.com/getting-started/predicthq-data/event-categories) page for an overview of the different categories.\n\nExample: `concerts,sports`","required":false,"schema":{"type":"array","items":{"type":"string","enum":["academic","school-holidays","public-holidays","observances","politics","conferences","expos","concerts","festivals","performing-arts","sports","community","daylight-savings","airport-delays","severe-weather","disasters","terror","health-warnings"]}},"style":"form","explode":false},"CountryParam":{"in":"query","name":"country","description":"A comma-separated list of 2-letter country codes.\n\nExample: `US`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"DeletedReasonParam":{"in":"query","name":"deleted_reason","description":"A comma-separated list of deleted reasons for the events.\n\nExample: `cancelled,duplicate`","required":false,"schema":{"type":"array","items":{"type":"string","enum":["cancelled","invalid","duplicate","postponed"]}},"style":"form","explode":false},"EndGteParam":{"in":"query","name":"end.gte","description":"Filters events that end on or after the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`","required":false,"schema":{"type":"string","format":"date-time"}},"EndGtParam":{"in":"query","name":"end.gt","description":"Filters events that end after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"EndLteParam":{"in":"query","name":"end.lte","description":"Filters events that end on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`","required":false,"schema":{"type":"string","format":"date-time"}},"EndLtParam":{"in":"query","name":"end.lt","description":"Filters events that end before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"EndTzParam":{"in":"query","name":"end.tz","description":"Specifies the timezone for the `end.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"EntityIdParam":{"in":"query","name":"entity.id","description":"A comma-separated list of Entity identifiers.\n\nExample: `XABWvihQAj8TnjvF6WNzLW`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"FirstSeenGteParam":{"in":"query","name":"first_seen.gte","description":"Filters events that were first seen in our system on or after the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`","required":false,"schema":{"type":"string","format":"date-time"}},"FirstSeenGtParam":{"in":"query","name":"first_seen.gt","description":"Filters events that were first seen in our system after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"FirstSeenLteParam":{"in":"query","name":"first_seen.lte","description":"Filters events that were first seen in our system on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`","required":false,"schema":{"type":"string","format":"date-time"}},"FirstSeenLtParam":{"in":"query","name":"first_seen.lt","description":"Filters events that were first seen in our system before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"FirstSeenTzParam":{"in":"query","name":"first_seen.tz","description":"Specifies the timezone for the `first_seen.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"IdParam":{"in":"query","name":"id","description":"A comma-separated list of Event identifiers.\n\nExample: `z13B3870YOgv`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"ImpactGteParam":{"in":"query","name":"impact.gte","description":"Filters events that are predicted to have an impact on or after the specified date.\n\nThe Predicted Impact Pattern of events can be larger than the actual event date range.\n\nThese parameters work similarly to the `active.*` parameter, but it uses an industry-specific Predicted Impact Pattern date range of an event where applicable.\n\nYou must also specify the industry (see `impact.industry`).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`","required":false,"schema":{"type":"string","format":"date-time"}},"ImpactGtParam":{"in":"query","name":"impact.gt","description":"Filters events that are predicted to have an impact after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"ImpactLteParam":{"in":"query","name":"impact.lte","description":"Filters events that are predicted to have an impact on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`","required":false,"schema":{"type":"string","format":"date-time"}},"ImpactLtParam":{"in":"query","name":"impact.lt","description":"Filters events that are predicted to have an impact before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"ImpactTzParam":{"in":"query","name":"impact.tz","description":"Specifies the timezone for the `impact.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"ImpactIndustryParam":{"in":"query","name":"impact.industry","description":"Selected industry for the Predicted Impact Patterns.\n\nIf no industry is selected, `impact.*` will function effectively the same as `active.*`.\n\nExample: `accommodation`","required":false,"schema":{"type":"string","enum":["accommodation","cpg","tourism","marketing","parking","restaurants","retail","transportation"]}},"LabelParam":{"in":"query","name":"label","description":"A comma-separated list of labels.\n\nPlease note that all event labels are lowercase and that the search is case sensitive.\n\nThe `label` param has been deprecated. Please update your integrations to use `phq_label` instead.\n\nExample: `holiday,observance`","required":false,"deprecated":true,"schema":{"$ref":"#/components/schemas/LegacyLabels"},"style":"form","explode":false},"LocalRankGteParam":{"in":"query","name":"local_rank.gte","description":"Filters events with a Local Rank greater than or equal to the specified value.\n\nEvents without a Local Rank will not be returned.\n\nExample: `80`","required":false,"schema":{"type":"integer","maximum":100,"minimum":0}},"LocalRankGtParam":{"in":"query","name":"local_rank.gt","description":"Filters events with a Local Rank greater than the specified value.\n\nEvents without a Local Rank will not be returned.","required":false,"schema":{"type":"integer","maximum":100,"minimum":0}},"LocalRankLteParam":{"in":"query","name":"local_rank.lte","description":"Filters events with a Local Rank less than or equal to the specified value.\n\nEvents without a Local Rank will not be returned.\n\nExample: `90`","required":false,"schema":{"type":"integer","maximum":100,"minimum":0}},"LocalRankLtParam":{"in":"query","name":"local_rank.lt","description":"Filters events with a Local Rank less than the specified value.\n\nEvents without a Local Rank will not be returned.","required":false,"schema":{"type":"integer","maximum":100,"minimum":0}},"LocalRankLevelParam":{"in":"query","name":"local_rank_level","description":"A comma-separated list of numbers between 1 and 5, corresponding to the Local Rank levels.\n\nPossible values:\n\n- 1 - Minor (rank between 0 and 20).\n- 2 - Moderate (rank between 21 and 40).\n- 3 - Important (rank between 41 and 60).\n- 4 - Significant (rank between 61 and 80).\n- 5 - Major (rank between 81 and 100).\n\nExample: `4,5`","required":false,"schema":{"type":"array","items":{"type":"integer","enum":[1,2,3,4,5]}},"style":"form","explode":false},"LocationConfidenceScoreGteParam":{"in":"query","name":"location_confidence_score.gte","description":"A unique attribute to Predicted Events that were generated from analyzing sets of recurring events. The score ranges from 1 to 5, representing the event’s propensity to change location with each recurrence. Higher scores indicate a higher consistency in location, while lower scores indicate the event’s location is more likely to shift once additional details become available.","required":false,"schema":{"type":"integer","maximum":5,"minimum":1}},"LocationConfidenceScoreGtParam":{"in":"query","name":"location_confidence_score.gt","description":"Filters events with a location confidence score greater than the specified score (exclusive).","required":false,"schema":{"type":"integer","maximum":5,"minimum":1}},"LocationConfidenceScoreLteParam":{"in":"query","name":"location_confidence_score.lte","description":"Filters events with a location confidence score less than or equal to the specified score.","required":false,"schema":{"type":"integer","maximum":5,"minimum":1}},"LocationConfidenceScoreLtParam":{"in":"query","name":"location_confidence_score.lt","description":"Filters events with a location confidence score less than the specified score (exclusive).","required":false,"schema":{"type":"integer","maximum":5,"minimum":1}},"ParentIncludeParam":{"in":"query","name":"parent.include","description":"Whether or not to include parent events / exclude child events.\n\nNote that child events are those events that have a link to a parent event.\nParent events are all the other events, whether they have children or not.\n\nSee the documentation on [umbrella events](https://docs.predicthq.com/getting-started/guides/date-and-time-guides/working-with-multi-day-and-umbrella-events#umbrella-events-beta) for more information on parent and child events.\n\nDefault: `true`","required":false,"schema":{"type":"string","enum":["true","false","only"]}},"PHQAttendanceGteParam":{"in":"query","name":"phq_attendance.gte","description":"Filters events with a Predicted Attendance greater than or equal to the specified value.\n\nExample: `2000`","required":false,"schema":{"type":"integer","minimum":0}},"PHQAttendanceGtParam":{"in":"query","name":"phq_attendance.gt","description":"Filters events with a Predicted Attendance greater than the specified value.","required":false,"schema":{"type":"integer","minimum":0}},"PHQAttendanceLteParam":{"in":"query","name":"phq_attendance.lte","description":"Filters events with a Predicted Attendance less than or equal to the specified value.\n\nExample: `10000`","required":false,"schema":{"type":"integer","minimum":0}},"PHQAttendanceLtParam":{"in":"query","name":"phq_attendance.lt","description":"Filters events with a Predicted Attendance less than the specified value.","required":false,"schema":{"type":"integer","minimum":0}},"PHQLabelParam":{"in":"query","name":"phq_label","description":"A comma-separated list of PHQ labels.\n\nPHQ Labels leverage AI and classifier models for more accurate labelling.\n\nPlease note that all event labels are lowercase and that the search is case sensitive.\n\nTake a look at [PHQ Label Values](https://docs.predicthq.com/getting-started/predicthq-data/labels#phq-label-values) to get a list of possible values.\n\nExample: `agriculture-forestry-and-fisheries,food-and-beverage`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"PHQLabelOpParam":{"in":"query","name":"phq_label.op","description":"Whether to find events with `any` or `all` the specified labels.\n\nDefault: `any`","required":false,"schema":{"type":"string","enum":["all","any"]}},"PHQLabelExcludeParam":{"in":"query","name":"phq_label.exclude","description":"A comma-separated list of PHQ labels to exclude. This will filter for events that do not have the specified labels.\n\nPlease note that all event labels are lowercase and that the search is case sensitive.\n\nExample: `lifestyle`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"PHQLabelExcludeOpParam":{"in":"query","name":"phq_label.exclude.op","description":"Whether to exclude events with `any` or `all` the specified labels.\n\nDefault: `any`","required":false,"schema":{"type":"string","enum":["all","any"]}},"PlaceScopeParam":{"in":"query","name":"place.scope","description":"A comma-separated list of Place IDs and/or IATA (3 character), ICAO (4 character), and UN/LOCODE (5 character) airport codes where the events occur.\n\nA CSV file of all supported airport codes and their respective Place IDs is available to download.\n\nResults will contain events that apply to the parent and children places of the specified place. E.g. National, regional and local school holidays that apply to a region.\n\nExample: `5128638,SFO`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"PlaceExactParam":{"in":"query","name":"place.exact","description":"A comma-separated list of Place IDs and/or IATA (3 character), ICAO (4 character), and UN/LOCODE (5 character) airport codes where the events occur.\n\nResults will contain events that apply to the specified place only. E.g. Regional school holidays only.","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"PlacekeyParam":{"in":"query","name":"placekey","description":"A comma-separated list of Placekeys (See [placekey.io](https://www.placekey.io/)). Returns events that have a Placekey value matching this filter.\n\nThere are 2 parts to a Placekey: `what@where`\n\n- `what` Contains 2 part in the form `{address}-{poi}`.\n  - The first part represents an address.\n  - The second part represents a Point Of Interest (E.g. named venue). This will be missing on locations that only have addresses\n- `where` An H3 hexagon index (resolution 10) of the event.\n\nThis filter supports entering a full Placekey to match events having that specific Placekey or a partial Placekey (such as just the `@where` part) to perform a partial match on Placekey. You can use the following Placekey format in this filter:\n\n- `{address}-{poi}@{where}` - only returns events with a full matching placekey (an exact match)\n- `{address}@{where}` - matches events where the the address and where part match (even if poi is different)\n- `@{where}` - matches events for which the `@where` part matches, ignores the `{address}-{poi}` parts. You can perform a partial match on the `@where` part to find nearby events. The minimum amount of characters that can be matched on is 5. See [using Placekey](https://docs.predicthq.com/getting-started/guides/geolocation-guides/searching-by-location/find-events-by-placekey) for more details.\n\n\nNote that Placekey applies to our attended event categories. Some events do not contain a Placekey.\n\nExample: `225@63j-rqb-j7q,@627-s8j-z2k`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"PostponedGteParam":{"in":"query","name":"postponed.gte","description":"Filters events that were marked as postponed on or after the specified date.\n\nNote when filtering on postponed, events that are not postponed will not be returned.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`","required":false,"schema":{"type":"string","format":"date-time"}},"PostponedGtParam":{"in":"query","name":"postponed.gt","description":"Filters events that were marked as postponed after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"PostponedLteParam":{"in":"query","name":"postponed.lte","description":"Filters events that were marked as postponed on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`","required":false,"schema":{"type":"string","format":"date-time"}},"PostponedLtParam":{"in":"query","name":"postponed.lt","description":"Filters events that were marked as postponed before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"PostponedTzParam":{"in":"query","name":"postponed.tz","description":"Specifies the timezone for the `postponed.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"PredictedEndGteParam":{"in":"query","name":"predicted_end.gte","description":"Filters events that are predicted to end on or after the specified date.\n\nNote when filtering on postponed, events that are not postponed will not be returned.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`","required":false,"schema":{"type":"string","format":"date-time"}},"PredictedEndGtParam":{"in":"query","name":"predicted_end.gt","description":"Filters events that are predicted to end after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"PredictedEndLteParam":{"in":"query","name":"predicted_end.lte","description":"Filters events that are predicted to end on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`","required":false,"schema":{"type":"string","format":"date-time"}},"PredictedEndLtParam":{"in":"query","name":"predicted_end.lt","description":"Filters events that are predicted to end before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"PredictedEndTzParam":{"in":"query","name":"predicted_end.tz","description":"Specifies the timezone for the `predicted_end.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"PredictedEventSpendGteParam":{"in":"query","name":"predicted_event_spend.gte","description":"Filters events with a Predicted Event Spend (USD) greater or equal to the specified value.\n\nNote: When using this filter events that do not have a  predicted_event_spend  will not be returned.\n\nExample: `80000`","required":false,"schema":{"type":"integer","minimum":0}},"PredictedEventSpendGtParam":{"in":"query","name":"predicted_event_spend.gt","description":"Filters events with a Predicted Event Spend greater than the specified value (exclusive).","required":false,"schema":{"type":"integer","minimum":0}},"PredictedEventSpendLteParam":{"in":"query","name":"predicted_event_spend.lte","description":"Filters events with a Predicted Event Spend less than or equal to the specified value.\n\nExample: `200000`","required":false,"schema":{"type":"integer","minimum":0}},"PredictedEventSpendLtParam":{"in":"query","name":"predicted_event_spend.lt","description":"Filters events with a Predicted Event Spend less than the specified value (exclusive).","required":false,"schema":{"type":"integer","minimum":0}},"PredictedEventSpendIndustryParam":{"in":"query","name":"predicted_event_spend_industry.<industry>.<suffix>","description":"The Predicted Event Spend for a given industry in USD.\n\nSupported industries:\n- accommodation\n- hospitality\n- transportation\n\nThe format of this parameter name is: `predicted_event_spend_industry.<industry>.<suffix>`\n\nSupports `gt`, `gte`, `lt` and `lte` suffixes in the same way other range parameters are supported.\n\nPlease note that use of a suffix is required.\n\nNote: When using this filter events that do not have a `predicted_event_spend` will not be returned.","required":false,"schema":{"type":"integer"}},"PrivateIncludeParam":{"in":"query","name":"private.include","description":"Whether or not to include private events. Private events are excluded by default.\n\nPrivate events are those that have the `private` field set to `true`. These events are typically not publicly advertised and may have limited information available. They may be included in the API for specific use cases, but are generally not included in search results by default.\n\nDefault: `false`","required":false,"schema":{"type":"string","enum":["true","false","only"]}},"PrivateUserIdParam":{"in":"query","name":"private.user_id","description":"A comma-separated list of user identifiers. This filters the events returned to private events that are associated with the specified users.\n\nThe `private.user_id` filter must be used in conjunction with `private.include=true` or `private.include=only`.\n\nExample: `12345,67890`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"PrivateOrgReviewParam":{"in":"query","name":"private.org_review","description":"A comma-separated list of review statuses for private events. This filters the events returned to private events that have been reviewed by the specified organizations.\nThe `private.org_review` filter must be used in conjunction with `private.include=true` or `private.include=only`.\n\nExample: `approved,pending`","required":false,"schema":{"type":"array","items":{"type":"string","enum":["approved","pending","rejected"]}},"style":"form","explode":false},"QParam":{"in":"query","name":"q","description":"A full-text search query.\n\nExample: `katy perry`","schema":{"type":"string"}},"RankGteParam":{"in":"query","name":"rank.gte","description":"Filters events with a PHQ Rank greater than or equal to the specified value.\n\nExample: `80`","required":false,"schema":{"type":"integer","maximum":100,"minimum":0}},"RankGtParam":{"in":"query","name":"rank.gt","description":"Filters events with a PHQ Rank greater than the specified value.","required":false,"schema":{"type":"integer","maximum":100,"minimum":0}},"RankLteParam":{"in":"query","name":"rank.lte","description":"Filters events with a PHQ Rank less than or equal to the specified value.\n\nExample: `90`","required":false,"schema":{"type":"integer","maximum":100,"minimum":0}},"RankLtParam":{"in":"query","name":"rank.lt","description":"Filters events with a PHQ Rank less than the specified value.","required":false,"schema":{"type":"integer","maximum":100,"minimum":0}},"RankLevelParam":{"in":"query","name":"rank_level","description":"A comma-separated list of numbers between 1 and 5, corresponding to the PHQ Rank levels.\n\nPossible values:\n\n- 1 - Minor (rank between 0 and 20).\n- 2 - Moderate (rank between 21 and 40).\n- 3 - Important (rank between 41 and 60).\n- 4 - Significant (rank between 61 and 80).\n- 5 - Major (rank between 81 and 100).\n\nExample: `4,5`","required":false,"schema":{"type":"array","items":{"type":"integer","enum":[1,2,3,4,5]}},"style":"form","explode":false},"SavedLocationLocationIdParam":{"in":"query","name":"saved_location.location_id","description":"A comma-separated list of saved location identifiers. Up to a maximum of 20 identifiers. This filters the events returned to events within the locations specified. Refer to the Saved Locations API for more details on managing locations.\n\nExample: `sFlb8HlsLa1j-S4UDEMEkQ`","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false},"SortParam":{"in":"query","name":"sort","description":"Comma-separated fields to sort results by. Default: `-start` (most recent first). Note: prefix with `-` to reverse direction. Direction varies by field:\n\n- `id` / `-id`: A–Z / Z–A\n- `title` / `-title`: A–Z / Z–A\n- `start` / `-start`: earliest first / most recent first\n- `end` / `-end`: earliest first / most recent first\n- `first_seen` / `-first_seen`: oldest first / newest first\n- `predicted_end` / `-predicted_end`: earliest first / most recent first\n- `updated` / `-updated`: oldest first / newest first\n- `rank` / `-rank`: highest rank first / lowest rank first\n- `local_rank` / `-local_rank`: highest rank first / lowest rank first\n- `phq_attendance` / `-phq_attendance`: highest attendance first / lowest attendance first\n- `category` / `-category`: A–Z / Z–A\n- `duration` / `-duration`: shortest first / longest first\n- `country` / `-country`: A–Z / Z–A\n- `labels` / `-labels`: A–Z / Z–A\n- `predicted_event_spend` / `-predicted_event_spend`: highest spend first / lowest spend first\n- `predicted_event_spend_industry.*` / `-predicted_event_spend_industry.*`: highest spend first / lowest spend first\n\nNote when sorting on `predicted_end` or `local_rank`, events without a value for that field will be placed last.\n\nExample: `country,-start`","required":false,"schema":{"type":"array","items":{"type":"string","enum":["id","-id","title","-title","start","-start","end","-end","first_seen","-first_seen","predicted_end","-predicted_end","updated","-updated","rank","-rank","local_rank","-local_rank","phq_attendance","-phq_attendance","category","-category","duration","-duration","country","-country","labels","-labels","predicted_event_spend","-predicted_event_spend","predicted_event_spend_industry.accommodation","-predicted_event_spend_industry.accommodation","predicted_event_spend_industry.hospitality","-predicted_event_spend_industry.hospitality","predicted_event_spend_industry.transportation","-predicted_event_spend_industry.transportation"]}},"style":"form","explode":false},"StartGteParam":{"in":"query","name":"start.gte","description":"Filters events that start on or after the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`","required":false,"schema":{"type":"string","format":"date-time"}},"StartGtParam":{"in":"query","name":"start.gt","description":"Filters events that start after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"StartLteParam":{"in":"query","name":"start.lte","description":"Filters events that start on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`","required":false,"schema":{"type":"string","format":"date-time"}},"StartLtParam":{"in":"query","name":"start.lt","description":"Filters events that start before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"StartTzParam":{"in":"query","name":"start.tz","description":"Specifies the timezone for the `start.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"StartDateConfidenceScoreGteParam":{"in":"query","name":"start_date_confidence_score.gte","description":"A unique attribute to Predicted Events that were generated from analyzing sets of recurring events. The score ranges from 1 to 5, representing the event’s consistency in being held around the same date with each recurrence. Higher scores indicate the event is held at mostly the same date each year, while lower scores indicate a greater variation in start date, meaning that details are more likely to change as new details become available.","required":false,"schema":{"type":"integer","maximum":5,"minimum":1}},"StartDateConfidenceScoreGtParam":{"in":"query","name":"start_date_confidence_score.gt","description":"Filters events with a start date confidence score greater than the specified score (exclusive).","required":false,"schema":{"type":"integer","maximum":5,"minimum":1}},"StartDateConfidenceScoreLteParam":{"in":"query","name":"start_date_confidence_score.lte","description":"Filters events with a start date confidence score less than or equal to the specified score.","required":false,"schema":{"type":"integer","maximum":5,"minimum":1}},"StartDateConfidenceScoreLtParam":{"in":"query","name":"start_date_confidence_score.lt","description":"Filters events with a start date confidence score less than the specified score (exclusive).","required":false,"schema":{"type":"integer","maximum":5,"minimum":1}},"StateParam":{"in":"query","name":"state","description":"A comma-separated list of states for the events.\n\nThis parameter is useful in conjunction with `updated` when you cache events and are interested in retrieving a list of all events that have changed since a specific date and time.\n\nExample: `active,deleted`\n\nDefault: `active`","required":false,"schema":{"type":"array","items":{"type":"string","enum":["active","deleted","predicted"]}},"style":"form","explode":false},"UpdatedGteParam":{"in":"query","name":"updated.gte","description":"Filters events that were last modified on or after the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-01-01`","required":false,"schema":{"type":"string","format":"date-time"}},"UpdatedGtParam":{"in":"query","name":"updated.gt","description":"Filters events that were last modified after the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"UpdatedLteParam":{"in":"query","name":"updated.lte","description":"Filters events that were last modified on or before the specified date.\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.\n\nExample: `2025-02-01`","required":false,"schema":{"type":"string","format":"date-time"}},"UpdatedLtParam":{"in":"query","name":"updated.lt","description":"Filters events that were last modified before the specified date (exclusive).\n\nExpected format: `YYYY-MM-DD` or `YYYY-MM-DDThh:mm:ss`.","required":false,"schema":{"type":"string","format":"date-time"}},"UpdatedTzParam":{"in":"query","name":"updated.tz","description":"Specifies the timezone for the `updated.*` date parameters.\n\nTimezone must be in the [TZ Database](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones) format (e.g. `America/Los_Angeles`).\n\nDefault: `UTC`","required":false,"schema":{"type":"string"}},"WithinParam":{"in":"query","name":"within","description":"A geo center and radius in the form `{radius}{unit}@{latitude},{longitude}`, where the radius unit can be one of: `m`, `km`, `ft`, `mi`.\n\nWhen using the units of `km` and `mi` you can enter whole numbers or floats e.g. `5mi`, `1.5km` or `1.2mi`.\nWhen using the units `ft` or `m` you must enter whole numbers (you cannot enter a fraction of a meter or foot).\n\nNote that results may contain events that apply to a parent scope of the specified area.\n\nNote we always recommend using our Suggested Radius API to determine the relevant impact zone around your location.\n\nExample: `2.5mi@-36.844480,174.768368`","required":false,"schema":{"type":"string","pattern":"^(?:(?:[1-9]\\d*(?:\\.\\d+)?(km|mi))|(?:[1-9]\\d*(m|ft)))@-?\\d+(?:\\.\\d+)?,\\-?\\d+(?:\\.\\d+)?$"}}},"schemas":{"LegacyLabels":{"description":"Legacy labels to further categorise the event.","type":"array","items":{"type":"string","enum":["academic","academic-session","agriculture","air-quality","airport","american-football","animal","architecture","arson","ashfall","assassination","attack","attraction","australian-football","auto-racing","automotive","autumn-holiday","avalanche","badminton","bars-closed","bars-open","baseball","basketball","bicycle","biological-hazard","blizzard","bombing","boxing","business","campus","career","chemical","chemical-accident","christmas-holiday","civil","climate-change","closed-doors","clothing","club","coastal-event","cold-wave","comedy","comic","community","concert","conference","construction","corporate","course","craft","cricket","cyclone","daylight-savings","debates","delay","design","digital","disaster","disaster-warning","drought","dust","earthquake","easter-holiday","education","election","entertainment","entertainment-closed","entertainment-open","environment","environment-pollution","epidemic","epidemic-hazard","esports","estimated","exam","execution","explosion","expo","extreme-weather","f1","family","fashion","festival","fighting","fire","flood","fog","food","football","fundraiser","furniture","gaming","golf","graduation","gymnastics","hail","hazardous-surf","hazmat","health","health-warning","heat-wave","hijacking","hockey","holiday","holiday-christian","holiday-hebrew","holiday-hindu","holiday-local","holiday-local-common","holiday-muslim","holiday-national","holiday-observed","holiday-orthodox","holiday-religious","horse-racing","horticulture","hostage-crisis","household","hurricane","hybrid-session","ice-hockey","in-person-session","industrial","indycar","instrument","ironman","jewelry","landslide","local-market","lockdown","lpga","marathon","marine","mass-shooting","medical","mineral","minor-league","mlb","mls","mma","monster-truck","motocross","motogp","movie","music","nascar","natural","nba","nba-gleague","ncaa","nfl","nhl","nuclear","nursing","observance","observance-local","observance-season","observance-united-nations","observance-worldwide","office","olympic","online-session","outdoor","packaging","paper","parade","parliament","performing-arts","personal-care-closed","personal-care-open","pet","pga","plastic","politics","president","print","product","rain","rallies","real-estate","recreation-closed","recreation-open","referendum","religion","research-development","restaurant-closed","restaurant-open","retail-closed","retail-open","rodeo","rugby","running","sales","sand","school","science","seminar","shooting","skating","snow","soccer","social","space","sport","spring-holiday","stabbing","storm","storm-surge","summer-holiday","suspected-attack","suspected-bombing","table-tennis","technology","tennis","terror","thanksgiving-holiday","thunderstorm","tool","tornado","tourism","training","transportation","travel","triathlon","tropical-storm","tsunami","typhoon","vehicle-accident","volcano","volleyball","weather","weather-warning","wedding","wildfire","wind","winter-holiday","wnba","worship-closed","worship-open","wrestling","wwe","youth-sport"]},"deprecated":true,"title":"Legacy Labels"},"EventsCountResponse":{"description":"The aggregated counts of events matching your filters.","type":"object","properties":{"count":{"description":"The total count of events matching the filters.","type":"integer","minimum":0},"top_rank":{"description":"The PHQ Rank of the highest PHQ Ranked event.","type":"integer","maximum":100,"minimum":0},"top_local_rank":{"description":"The Local Rank of the highest Local Ranked event.","type":"integer","maximum":100,"minimum":0},"top_aviation_rank":{"description":"The Aviation Rank of the highest Aviation Ranked event.","type":"integer","deprecated":true,"maximum":100,"minimum":0},"rank_levels":{"description":"The count of events per PHQ Rank Level.","$ref":"#/components/schemas/RankLevelCounts"},"local_rank_levels":{"description":"The count of events per Local Rank Level.","$ref":"#/components/schemas/RankLevelCounts"},"aviation_rank_levels":{"description":"The count of events per Aviation Rank Level.","$ref":"#/components/schemas/RankLevelCounts","deprecated":true},"categories":{"description":"The count of events per category.","type":"object","additionalProperties":{"type":"integer","minimum":1},"propertyNames":{"enum":["academic","school-holidays","public-holidays","observances","politics","conferences","expos","concerts","festivals","performing-arts","sports","community","daylight-savings","airport-delays","severe-weather","disasters","terror","health-warnings"]}},"labels":{"description":"The count of events broken down by label. As events can have any number of labels these counts are not expected to sum to the total count of events.","type":"object","additionalProperties":{"type":"integer","minimum":1},"deprecated":true},"phq_labels":{"description":"The count of events broken down by PHQ Label. As events can have any number of PHQ Labels these counts are not expected to sum to the total count of events.","type":"object","additionalProperties":{"type":"integer","minimum":1}}},"title":"Events Count Response"},"RankLevelCounts":{"description":"The count of events broken down by rank level.","type":"object","properties":{"1":{"description":"Minor (rank between 0 and 20).","type":"integer","minimum":0},"2":{"description":"Moderate (rank between 21 and 40).","type":"integer","minimum":0},"3":{"description":"Important (rank between 41 and 60).","type":"integer","minimum":0},"4":{"description":"Significant (rank between 61 and 80).","type":"integer","minimum":0},"5":{"description":"Major (rank between 81 and 100).","type":"integer","minimum":0}},"required":["1","2","3","4","5"],"title":"Rank Level Counts"},"ErrorResponse":{"description":"An error response containing a human-readable error message.","type":"object","properties":{"error":{"description":"Error message","type":"string","title":"Error"}},"required":["error"],"title":"ErrorResponse"}}},"paths":{"/v1/events/count/":{"get":{"operationId":"count_events","summary":"Get Event Counts","description":"Get the count of events by category, PHQ Label and more. The Count endpoint supports the same query parameters as the Search Events endpoint.","parameters":[{"$ref":"#/components/parameters/ActiveGteParam"},{"$ref":"#/components/parameters/ActiveGtParam"},{"$ref":"#/components/parameters/ActiveLteParam"},{"$ref":"#/components/parameters/ActiveLtParam"},{"$ref":"#/components/parameters/ActiveTzParam"},{"$ref":"#/components/parameters/BeamAnalysisIdParam"},{"$ref":"#/components/parameters/BeamGroupIdParam"},{"$ref":"#/components/parameters/BrandUnsafeExcludeParam"},{"$ref":"#/components/parameters/CancelledGteParam"},{"$ref":"#/components/parameters/CancelledGtParam"},{"$ref":"#/components/parameters/CancelledLteParam"},{"$ref":"#/components/parameters/CancelledLtParam"},{"$ref":"#/components/parameters/CancelledTzParam"},{"$ref":"#/components/parameters/CategoryParam"},{"$ref":"#/components/parameters/CountryParam"},{"$ref":"#/components/parameters/DeletedReasonParam"},{"$ref":"#/components/parameters/EndGteParam"},{"$ref":"#/components/parameters/EndGtParam"},{"$ref":"#/components/parameters/EndLteParam"},{"$ref":"#/components/parameters/EndLtParam"},{"$ref":"#/components/parameters/EndTzParam"},{"$ref":"#/components/parameters/EntityIdParam"},{"$ref":"#/components/parameters/FirstSeenGteParam"},{"$ref":"#/components/parameters/FirstSeenGtParam"},{"$ref":"#/components/parameters/FirstSeenLteParam"},{"$ref":"#/components/parameters/FirstSeenLtParam"},{"$ref":"#/components/parameters/FirstSeenTzParam"},{"$ref":"#/components/parameters/IdParam"},{"$ref":"#/components/parameters/ImpactGteParam"},{"$ref":"#/components/parameters/ImpactGtParam"},{"$ref":"#/components/parameters/ImpactLteParam"},{"$ref":"#/components/parameters/ImpactLtParam"},{"$ref":"#/components/parameters/ImpactTzParam"},{"$ref":"#/components/parameters/ImpactIndustryParam"},{"$ref":"#/components/parameters/LabelParam"},{"$ref":"#/components/parameters/LocalRankGteParam"},{"$ref":"#/components/parameters/LocalRankGtParam"},{"$ref":"#/components/parameters/LocalRankLteParam"},{"$ref":"#/components/parameters/LocalRankLtParam"},{"$ref":"#/components/parameters/LocalRankLevelParam"},{"$ref":"#/components/parameters/LocationConfidenceScoreGteParam"},{"$ref":"#/components/parameters/LocationConfidenceScoreGtParam"},{"$ref":"#/components/parameters/LocationConfidenceScoreLteParam"},{"$ref":"#/components/parameters/LocationConfidenceScoreLtParam"},{"$ref":"#/components/parameters/ParentIncludeParam"},{"$ref":"#/components/parameters/PHQAttendanceGteParam"},{"$ref":"#/components/parameters/PHQAttendanceGtParam"},{"$ref":"#/components/parameters/PHQAttendanceLteParam"},{"$ref":"#/components/parameters/PHQAttendanceLtParam"},{"$ref":"#/components/parameters/PHQLabelParam"},{"$ref":"#/components/parameters/PHQLabelOpParam"},{"$ref":"#/components/parameters/PHQLabelExcludeParam"},{"$ref":"#/components/parameters/PHQLabelExcludeOpParam"},{"$ref":"#/components/parameters/PlaceScopeParam"},{"$ref":"#/components/parameters/PlaceExactParam"},{"$ref":"#/components/parameters/PlacekeyParam"},{"$ref":"#/components/parameters/PostponedGteParam"},{"$ref":"#/components/parameters/PostponedGtParam"},{"$ref":"#/components/parameters/PostponedLteParam"},{"$ref":"#/components/parameters/PostponedLtParam"},{"$ref":"#/components/parameters/PostponedTzParam"},{"$ref":"#/components/parameters/PredictedEndGteParam"},{"$ref":"#/components/parameters/PredictedEndGtParam"},{"$ref":"#/components/parameters/PredictedEndLteParam"},{"$ref":"#/components/parameters/PredictedEndLtParam"},{"$ref":"#/components/parameters/PredictedEndTzParam"},{"$ref":"#/components/parameters/PredictedEventSpendGteParam"},{"$ref":"#/components/parameters/PredictedEventSpendGtParam"},{"$ref":"#/components/parameters/PredictedEventSpendLteParam"},{"$ref":"#/components/parameters/PredictedEventSpendLtParam"},{"$ref":"#/components/parameters/PredictedEventSpendIndustryParam"},{"$ref":"#/components/parameters/PrivateIncludeParam"},{"$ref":"#/components/parameters/PrivateUserIdParam"},{"$ref":"#/components/parameters/PrivateOrgReviewParam"},{"$ref":"#/components/parameters/QParam"},{"$ref":"#/components/parameters/RankGteParam"},{"$ref":"#/components/parameters/RankGtParam"},{"$ref":"#/components/parameters/RankLteParam"},{"$ref":"#/components/parameters/RankLtParam"},{"$ref":"#/components/parameters/RankLevelParam"},{"$ref":"#/components/parameters/SavedLocationLocationIdParam"},{"$ref":"#/components/parameters/SortParam"},{"$ref":"#/components/parameters/StartGteParam"},{"$ref":"#/components/parameters/StartGtParam"},{"$ref":"#/components/parameters/StartLteParam"},{"$ref":"#/components/parameters/StartLtParam"},{"$ref":"#/components/parameters/StartTzParam"},{"$ref":"#/components/parameters/StartDateConfidenceScoreGteParam"},{"$ref":"#/components/parameters/StartDateConfidenceScoreGtParam"},{"$ref":"#/components/parameters/StartDateConfidenceScoreLteParam"},{"$ref":"#/components/parameters/StartDateConfidenceScoreLtParam"},{"$ref":"#/components/parameters/StateParam"},{"$ref":"#/components/parameters/UpdatedGteParam"},{"$ref":"#/components/parameters/UpdatedGtParam"},{"$ref":"#/components/parameters/UpdatedLteParam"},{"$ref":"#/components/parameters/UpdatedLtParam"},{"$ref":"#/components/parameters/UpdatedTzParam"},{"$ref":"#/components/parameters/WithinParam"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventsCountResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"402":{"description":"Payment Required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"tags":["Events API"]}}}}
```

## OpenAPI Spec

The OpenAPI spec for Events API can be [found here](https://api.predicthq.com/docs/?urls.primaryName=Events+API).

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
curl -X GET "https://api.predicthq.com/v1/events/count/?country=NZ" \
     -H "Accept: application/json" \
     -H "Authorization: Bearer $ACCESS_TOKEN"
```

{% endtab %}

{% tab title="python" %}

```python
import requests

response = requests.get(
    url="https://api.predicthq.com/v1/events/count/",
    headers={
      "Authorization": "Bearer $ACCESS_TOKEN",
      "Accept": "application/json"
    },
    params={
        "country": "NZ"
    }
)

print(response.json())
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/api/events/get-event-counts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
